///Main__Section__1
.main__section__1 {
  margin: 0 auto;
  padding: 40px 0;
  @include flex-col;
  row-gap: 1rem;
  justify-content: center;
  align-items: center;
  max-width: 860px;
}
.main__section__1__buttons {
  padding: 0 10px;
  @include flex-row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.main__section__1__buttons__wrapper {
  @include flex-row;
  justify-content: center;
  align-items: center;
  height: 26px;
}
.main__section__1__buttons__wrapper--color {
  color: $color-drkgrey;
  height: 100%;
  border: none;
  border-radius: 5px 0 0 5px;
  background-color: $color-semiGrey;
  @include flex-row;
  justify-content: center;
  align-items: center;
  column-gap: 0.2rem;
}
.main__section__1__buttons__wrapper {
  span {
    padding: 0 10px;
    height: 100%;
    border: 1px solid $color-semiGrey;
    @include flex-col;
    justify-content: center;
    align-items: center;
  }
}
///Main__Section__2
.main__section__2 {
  background-color: $color-extGrey;
  padding: 2rem 10px;
  p {
    padding-top: 1rem;
  }
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 2rem;
  row-gap: 1rem;
  justify-content: center;
  grid-template-areas:
    "grid--1 p_name"
    "grid--2 grid--img"
    "grid--3 grid--img"
    "grid--4 grid--img";
  .main__section__2__item--grid--1 {
    grid-area: grid--1;
  }
  .main__section__2__item--grid--2 {
    grid-area: grid--2;
  }
  .main__section__2__item--grid--3 {
    grid-area: grid--3;
  }
  .main__section__2__item--grid--4 {
    grid-area: grid--4;
  }
  .main__section__2__item--grid--5 {
    grid-area: grid--img;
    img {
      max-height: 520px;
      max-width: 700px;
    }
    justify-self: flex-end;
  }
  .main__section__2__item--grid__item--position {
    grid-area: p_name;
    text-align: center;
  }
}
.main__section__2__item {
  display: grid;
  grid-template-columns: 100px 1fr;
  align-items: center;
  column-gap: 1rem;
}

///Main Section 3

.main__section__3 {
  figure {
    @include flex-col;
    justify-content: center;
    align-items: center;
    row-gap: 1.5rem;
  }
  padding: 5rem 10px;
  width: 100%;
  text-align: center;
  color: white;
  background-image: url("../../img/testmonials-bg\ 1.png");
  background-position: center;
  background-size: cover;
  display: grid;
  grid-template-columns: repeat(3, minmax(280px, 1fr));
  grid-template-rows: 0.1fr 1fr 1fr 0.1fr;
  justify-content: center;
  align-items: center;
  row-gap: 5rem;
  column-gap: 2rem;

  grid-template-areas:
    "item--1 item--1 item--1"
    "item--2 item--3 item--4"
    "item--5 item--6 item--7"
    "item--8 item--8 item--8";
  .main__section__3__item--1 {
    grid-area: item--1;
  }
  .main__section__3__item--2 {
    grid-area: item--2;
    img {
      width: 165px;
    }
  }
  .main__section__3__item--3 {
    grid-area: item--3;
    img {
      width: 148px;
    }
  }
  .main__section__3__item--4 {
    grid-area: item--4;
    img {
      width: 60px;
    }
  }
  .main__section__3__item--5 {
    grid-area: item--5;
    img {
      width: 225px;
    }
  }
  .main__section__3__item--6 {
    grid-area: item--6;
    img {
      width: 166px;
    }
  }
  .main__section__3__item--7 {
    grid-area: item--7;
    img {
      width: 108px;
    }
  }
  .main__section__3__item--8 {
    justify-self: center;
    position: relative;
  }
  .main__section__3__item--8::after {
    content: "";
    width: 80%;
    height: 3px;
    background-color: #645766;
    position: absolute;
    top: 150%;
    left: 10%;
  }
}

//Main Section 4
.main__section__4 {
  width: 100%;
  text-align: center;
  padding: 0 10px 9rem 10px;
  position: relative;
  h2 {
    padding: 6rem 0;
    grid-area: header;
  }
  display: grid;
  grid-template-columns: 257px 257px 299px 257px;
  justify-content: center;
  gap: 1rem;
  grid-template-areas:
    "header header header header"
    ". . item__3 ."
    "item__1 item__2 item__3 item__4"
    ". . item__3 .";

  .main__section__4__item--1 {
    grid-area: item__1;
  }
  .main__section__4__item--2 {
    grid-area: item__2;
  }
  .main__section__4__item--3 {
    grid-area: item__3;
  }
  .main__section__4__item--4 {
    grid-area: item__4;
  }
}

.main__section__4__background {
  position: absolute;
  top: -2px;
  left: 0;
  width: 100vw;
  height: 100%;
  background: url("../../img/testmonials-bg\ 2.jpg");
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: -1000;
}

.main__section__4__item {
  background-color: #857287bb;
  opacity: 0.85;
  height: 457px;
  width: 257px;
  color: $color-white;
  display: flex;
  flex-flow: column nowrap;
  justify-content: space-between;
  align-items: center;
  h3 {
    width: 100%;
    padding: 36px 0;
    font-size: 1.5rem;
    background-color: #7166749e;
  }
  div:nth-child(2) {
    width: 100%;
    font-size: 3.75rem;
    font-weight: 700;
    span {
      font-weight: 400;
    }
  }
  div:nth-child(3) {
    margin-bottom: 2rem;
    position: relative;
  }

  div:nth-child(3)::after {
    content: "";
    width: 60px;
    height: 5px;
    background-color: $color-wiolet;
    position: absolute;
    top: 45px;
    left: 21px;
    z-index: 1000;
  }

  button {
    width: 163px;
    height: 45px;
    margin-bottom: 2rem;
    background-color: #9f97a29b;
    border: none;
    border-radius: 2rem;
    cursor: pointer;
  }
}
.main__section__4__item--active {
  height: 560px;
  width: 299px;
  background-color: $color-eggplant;
  h3 {
    background-color: $color-eggplantPlus;
  }
}
